Version 6.x.x Source
Single

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `select_doctype` | Select | Select DocType Type of document to rename. |
2 | `file_to_rename` | Attach | File to Rename Attach .csv file with two columns, one for the old name and one for the new name |
3 | `rename_log` | HTML | Rename Log |

### Controller

#### erpnext.utilities.doctype.rename_tool.rename_tool

### Class RenameTool

Inherits from frappe.model.document.Document

Public API
`/api/method/erpnext.utilities.doctype.rename_tool.rename_tool.get_doctypes`

erpnext.utilities.doctype.rename_tool.rename_tool.get_doctypes ()

No docs

Public API
`/api/method/erpnext.utilities.doctype.rename_tool.rename_tool.upload`

erpnext.utilities.doctype.rename_tool.rename_tool.upload (select_doctype=None, rows=None)

No docs